> For the complete documentation index, see [llms.txt](https://docs.carto.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/release-notes.md).

# Release Notes

{% updates %}
{% update date="2025-08-25" %}

## August 25th, 2025 (v1.4.1)

**Module tiler**

New

* Added option `max_categories_limit` that controls the maximum number of categories from string columns included in metadata for every tiler procedure.
  {% endupdate %}

{% update date="2024-09-24" %}

## September 24th, 2024 (v1.4.0)

**Module tiler**

New

* Add `tile_resolution` to all [tileset](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md) creation options. This new setting allows controlling the size of the tiles when rendered in a map. Higher values produce larger tiles.

Fix

* Support empty properties in [CREATE\_POINT\_AGGREGATION\_TILESET](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_point_aggregation_tileset) procedures.
* Fix [CREATE\_SIMPLE\_TILESET](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_simple_tileset) procedure in order to support any geom column name.
  {% endupdate %}

{% update date="2024-01-18" %}

## January 18th, 2024 (v1.3.0)

**Module quadbin**

New

* New [QUADBIN\_DISTANCE](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/quadbin.md#quadbin_distance) function that returns the distance (number of cells) between two quadbin cells.

Fix

* Improved precision when calculating cell indexes from latitudes close to the poles (±90º).

**Module tiler**

Fix

* Fixed a problem when parsing quotes inside the input query in [CREATE\_SIMPLE\_TILESET](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_simple_tileset) and [CREATE\_POINT\_AGGREGATION\_TILESET](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_point_aggregation_tileset) procedures.
* Improved bounds calculation to get the exact value when using h3 cells in the [CREATE\_SPATIAL\_INDEX\_TILESET](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_spatial_index_tileset) procedure. This applies when the Analytics Toolbox is installed with the h3 module ([depends on having `plv8` extenstion installed](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/getting-access#installing-extensions)).
  {% endupdate %}

{% update date="2023-12-23" %}

## December 23, 2023 (v1.2.2)

**Module tiler**

Fix

* Fix recommended zoom in `__clip_all_tiles` internal function. This corrects some problems with tileset's creation.
  {% endupdate %}

{% update date="2023-09-08" %}

## September 8, 2023 (v1.2.1)

**Module tiler**

Fix

* Fixed wrong parameter formatting in [`CREATE_SPATIAL_INDEX_TILESET`](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_spatial_index_tileset).
  {% endupdate %}

{% update date="2023-08-07" %}

## August 7, 2023 (v1.2.0)

**Module h3**

Improvement

* We have improved the performance of [H3\_POLYFILL](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/h3#h3_polyfill).

New

* We have added to the function [H3\_POLYFILL](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/h3#h3_polyfill) different polyfill modes: center, intersects, contains.

**Module quadbin**

Improvement

* We have improved the performance of [QUADBIN\_POLYFILL](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/quadbin#quadbin_polyfill).

New

* We have added to the function [QUADBIN\_POLYFILL](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/quadbin#quadbin_polyfill) different polyfill modes: center, intersects, contains.
  {% endupdate %}

{% update date="2023-07-14" %}

## July 14, 2023 (v1.1.2)

**Module tiler**

Fix

* We added some changes in order to support capitalized columns when using [CREATE\_SIMPLE\_TILESET](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler#create_simple_tileset).

**Module quadbin**

Change

* We have updated the formula used in [QUADBIN\_FROMLONGLAT](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/quadbin#quadbin_fromlonglat) so it gets standardized. In addition a new implementation of [QUADBIN\_TOCHILDREN](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/quadbin#quadbin_tochildren) has been added in order to increase performance.
  {% endupdate %}

{% update date="2023-06-06" %}

## June 6, 2023 (v1.1.1)

**Module tiler**

Fix

* We added some missing metadata that was negatively affecting the usage of [CREATE\_SIMPLE\_TILESET](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler#create_simple_tileset), [CREATE\_POINT\_AGGREGATION\_TILESET](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler#create_point_aggregation_tileset) and [CREATE\_SPATIAL\_INDEX\_TILESET](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler#create_spatial_index_tileset).
  {% endupdate %}

{% update date="2023-05-05" %}

## May 5, 2023 (v1.1.0)

**Documentation**

Improvement

We have improved the [installation guide](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/getting-access), allowing now to use a Python script as installer. \\

**Module h3**

New

We have released a new module in the Analytics Toolbox for PostgreSQL in order to provide native support for operating with the [H3](https://www.uber.com/en-ES/blog/h3/) spatial index.

This new module named “[h3](https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/h3)” includes the following functions: H3\_BOUNDARY, H3\_CENTER, H3\_COMPACT, H3\_DISTANCE, H3\_FROMGEOGPOINT, H3\_FROMLONGLAT, H3\_HEXRING, H3\_INT\_TOSTRING, H3\_ISPENTAGON, H3\_ISVALID, H3\_KRING, H3\_KRING\_DISTANCES, H3\_POLYFILL, H3\_RESOLUTION, H3\_STRING\_TOINT, H3\_TOCHILDREN, H3\_TOPARENT, H3\_UNCOMPACT
{% endupdate %}

{% update date="2023-03-07" %}

## March 7, 2023 (v1.0.1)

**Module tiler**

Fix

* We have added the creation of an index with the tile and the clustering of the tileset by that index in the [CREATE\_SPATIAL\_INDEX\_TILESET](/data-and-analysis/analytics-toolbox-for-postgresql/sql-reference/tiler.md#create_spatial_index_tileset).
  {% endupdate %}

{% update date="2023-01-31" %}

## January 31, 2023 (v1.0.0)

**Module tiler**

Improvements

* Update default zoom values: geo, quadbin, h3 (12, 12, 6)
* Fix spatial index tiler with empty properties
  {% endupdate %}

{% update date="2022-12-22" %}

## December 22, 2022 <a href="#december-22-2022" id="december-22-2022"></a>

#### **Module quadbin**

New

* Quadbin/quadkey conversion functions have been added to ease the conversion from [quadbin](https://docs.carto.com/sql-reference/quadbin/) to quadkey and from quadkey to quadbin indexes.
  {% endupdate %}

{% update date="2022-11-01" %}

## November 1, 2022 <a href="#november-1-2022" id="november-1-2022"></a>

#### **All modules**

Fix

* Make cartofante the author and comitter of the release

Improvement

* Adapt to Semver

#### **All modules**

Feature

* Create release workflows

#### **All modules**

Feature

* Create release workflows

Improvement

* Adapt to Semver
  {% endupdate %}

{% update date="2022-09-19" %}

## September 19, 2022 <a href="#september-19-2022" id="september-19-2022"></a>

#### **Module tiler**

Improvement

* Set `version` field in tilers metadata compliant with AT version.
  {% endupdate %}

{% update date="2022-08-11" %}

## August 11, 2022 <a href="#august-11-2022" id="august-11-2022"></a>

#### **Module tiler**

Improvement

* Unify `extra_metadata` into `metadata` in tiler metadata.
  {% endupdate %}

{% update date="2022-07-20" %}

## July 20, 2022 <a href="#july-20-2022" id="july-20-2022"></a>

#### **Module tiler**

Fix

* CREATE\_SPATIAL\_INDEX\_TILESET Metadata center is now computed for PostgreSQL as for other providers
* Improved performance for quadbin tilesets in `CREATE_SPATIAL_INDEX_TILESET`.
  {% endupdate %}

{% update date="2022-07-15" %}

## July 15, 2022 <a href="#july-15-2022" id="july-15-2022"></a>

#### **Module tiler**

Feature

* Add `CREATE_SPATIAL_INDEX_TILESET` option.
  {% endupdate %}

{% update date="2022-06-24" %}

## June 24, 2022 <a href="#june-24-2022" id="june-24-2022"></a>

#### **Module quadbin**

Feature

* Add QUADBIN\_BBOX function.
* Add QUADBIN\_BOUNDARY function.
* Add QUADBIN\_CENTER function.
* Add QUADBIN\_FROMGEOGPOINT function.
* Add QUADBIN\_FROMLONGLAT function.
* Add QUADBIN\_FROMZXY function.
* Add QUADBIN\_ISVALID function.
* Add QUADBIN\_KRING function.
* Add QUADBIN\_KRING\_DISTANCES function.
* Add QUADBIN\_POLYFILL function.
* Add QUADBIN\_RESOLUTION function.
* Add QUADBIN\_SIBLING function.
* Add QUADBIN\_TOCHILDREN function.
* Add QUADBIN\_TOPARENT function.
* Add QUADBIN\_TOZXY function.
  {% endupdate %}

{% update date="2022-06-09" %}

## June 9, 2022 <a href="#june-9-2022" id="june-9-2022"></a>

#### **Module tiler**

Fix

* Fix metadata tilestats to include only columns in properties
* Fix numeric metadata tilestats which were treated as categories
  {% endupdate %}

{% update date="2022-04-22" %}

## April 22, 2022 <a href="#april-22-2022" id="april-22-2022"></a>

#### **Module tiler**

Feature

* Add `max_tile_features` option.
* Add output table existence early check.
* Add `throw_error` and `return_null` size strategy.
* Set `tile_feature_order` empty as default.
* Input query without parenthesis allowed.
* Use of MD5 hash for temporary tables naming.
  {% endupdate %}

{% update date="2022-04-07" %}

## April 7, 2022 <a href="#april-7-2022" id="april-7-2022"></a>

#### **Module tiler**

Feature

* Add CREATE\_POINT\_AGGREGATION\_TILESET procedure.
* Add CREATE\_SIMPLE\_TILESET procedure.
  {% endupdate %}
  {% endupdates %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.carto.com/data-and-analysis/analytics-toolbox-for-postgresql/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
